/**
 * CMI : Cluster Method Invocation
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: cmi@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id: GabonItf.java 2377 2009-06-23 13:05:33Z loris $
 * --------------------------------------------------------------------------
 */

package org.ow2.cmi.test;

import java.rmi.Remote;
import java.rmi.RemoteException;

/**
 * Interface used in test.
 * @author The new CMI team *
 */
public interface GabonItf extends Remote {

    /**
     * Display a small description of GABON.
     * @throws RemoteException if a RemoteException occurs.
     */
    String getDescription()throws RemoteException;

    /**
     * gets poiltic capital.
     * @throws RemoteException if a RemoteException occurs.
     */
    String getPoliticCapital()throws RemoteException;

    /**
     * Gets economic capital.
     * @throws RemoteException if a RemoteException occurs.
     */
    String getEconomicCapital()throws RemoteException;

    /**
     * Gets HDI.
     * @throws RemoteException if a RemoteException occurs.
     */
    String getHDI()throws RemoteException;

    /**
     * Gets GNP.
     * @throws RemoteException if a RemoteException occurs.
     */
    String getGNP()throws RemoteException;


}
